from microbit import *
import utime
import machine

def distance_cm() :
    v = 0.0340              # vitesse du son en micromètres par seconde
    pin1.write_digital (0)  # on met pin1 à l'état 0
    utime.sleep_us (2)      # pour éviter les interférences on attend 2 microsecondes

    pin1.write_digital (1)  # pin1 à l'é tat 1, une impulsion sonore est é mise
    utime.sleep_us (5)      # on attend 5 microsecondes
    pin1.write_digital (0)  # on cesse d'é mettre une impulsion sonore

    pin2.read_digital ()    # pin2 en position d'écoute pour attendre le retour du signal
    temps = machine.time_pulse_us (pin2 , 1, 1000000)

    return temps *v/2 + 0.55 # on divise par 2 pour l'aller-retour, 0.55 dépend de l'étalonnage
                            # ce coefficient (0.55) varie légèrement d'une Micro:bit à l'autre

def affiche_distance():
    while True :
        print (distance_cm())
        sleep (500)

def led1():
    while True :
        if distance_cm()<20:
            pin8.write_digital (1)
        else :
            pin8.write_digital (0)
