from microbit import *
import radio

# Configuration radio
radio.on()
radio.config(address=1,group=1)

# Programme
while True :
    acceleration_x = accelerometer.get_x()
    acceleration_y = accelerometer.get_y()
    if acceleration_x < -200:
        display.show(Image.ARROW_W)
        radio.send("G")
    elif acceleration_x > 200:
        display.show(Image.ARROW_E)
        radio.send("D")
    elif acceleration_y < -200:
        display.show(Image.ARROW_N)
        radio.send("AV")
    elif acceleration_y > 200:
        display.show(Image.ARROW_S)
        radio.send("AR")
    else:
        display.show("O")
        radio.send("S")
    sleep(200)
